Name:           kde-qdoc-common
Version:        1.0.0
Release:        1%{?dist}
Summary:        Common files for KDE's API documentation (using QDoc)
BuildArch:      noarch

License:        BSD-2-Clause AND CC-BY-SA-4.0 AND CC0-1.0 AND GPL-3.0-or-later
URL:            https://invent.kde.org/sdk/kde-qdoc-common
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz
Source1:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz.sig

BuildRequires:  gcc-c++
BuildRequires:  kf6-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  desktop-file-utils

%description
This repo contains common files for KDE's API documentation.
Individual projects include it in their documentation builds.
The files in the 'global' folder are forked from Qt.
We can modify them at will, however we should periodically
sync them with upstream to incorporate improvements from there.

%prep
%autosetup -p1

%build
# Intentionally left blank

%install
mkdir -p %{buildroot}/%{_qt6_docdir}/kde-qdoc-common
cp -ar . %{buildroot}/%{_qt6_docdir}/kde-qdoc-common

%files
%license LICENSES/*
%doc README.md
%{_qt6_docdir}/*

%changelog
* Sat Jun 7 2025 Steve Cossette <farchord@gmail.com> - 1.0.0-1
- Initial release
